cPanel & WHM no longer develops or updates EasyApache 3. We deprecated EasyApache 3 on December 31, 2018. We removed support for EasyApache 3 in cPanel & WHM version 78.
PHP Module: Pdomysql - EasyApache - cPanel Documentation
Page tree
Skip to end of metadata
Go to start of metadata

Overview

pdomysql – PDO (DB) MySQL Support

Profile

Namepdomysql
PHP Version5
Profile ValueCpanel::Easy::PHP5::PDOMySQL
Reverse BooleanNo

Compatibility

This module has no known compatibility issues.

Notes

If you disable this module, the system removes the extension=pdo_mysql.so direective from the  /usr/local/lib/php.ini file.

If you enable this module: 

  • If the Cpanel::Easy::PHP5::Versioning profile option is also enabled, PDOMySQL builds as a static module.
  • Compiled as a shared module (default):
    • If you enable this option, the system adds the --with-pdo-mysql=shared flag to PHP's configuration options. 
  • Compiled as a static module (Cpanel::Easy::PHP5::Versioning enabled): 
    • If you enable this option, the system adds the --enable-pdo-mysql flag to PHP's configuration options.

You must disable MySQL and enable MySQL of the system and MySQLi to use mysqlnd with PDOMySQL. 

Dependencies

The system enables the  Cpanel::Easy::PHP5::SQLite3 and Cpanel::Easy::PHP5::PDO profile options. SQLite3 is a reverse-boolean option, which the system sets to 0.

Vendor documentation

PHP versionDocumentation
5Docs